Package de.willuhn.jameica.hbci.server

# Enum Class BPDUtil.Query

java.lang.Object
java.lang.Enum<BPDUtil.Query>
de.willuhn.jameica.hbci.server.BPDUtil.Query

All Implemented Interfaces:
  `Serializable`, `Comparable<BPDUtil.Query>`, `Constable`

Enclosing class:
  `BPDUtil`

public static enum BPDUtil.Query extends Enum<BPDUtil.Query>
Enum fuer vordefinierte Queries von BPD.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DauerEdit`
Query fuer die Suche nach den BPD-Parametern fuer die Bearbeitung von Dauerauftraegen.
`Kontoauszug`
Query fuer die Suche nach den BPD-Parametern fuer den Abruf der Kontoauszuege.
`KontoauszugPdf`
Query fuer die Suche nach den BPD-Parametern fuer den Abruf der Kontoauszuege im PDF-Format.
`Umsatz`
Query fuer die Suche nach den BPD-Parametern fuer den Abruf der Umsaetze.
`UmsatzCamt`
Query fuer Abruf der Umsaetze im CAMT-Format.

## Method Summary

Modifier and Type
Method
Description
`static BPDUtil.Query`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BPDUtil.Query[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DauerEdit

public static final BPDUtil.Query DauerEdit
Query fuer die Suche nach den BPD-Parametern fuer die Bearbeitung von Dauerauftraegen.

### Kontoauszug

public static final BPDUtil.Query Kontoauszug
Query fuer die Suche nach den BPD-Parametern fuer den Abruf der Kontoauszuege.

### KontoauszugPdf

public static final BPDUtil.Query KontoauszugPdf
Query fuer die Suche nach den BPD-Parametern fuer den Abruf der Kontoauszuege im PDF-Format.

### Umsatz

public static final BPDUtil.Query Umsatz
Query fuer die Suche nach den BPD-Parametern fuer den Abruf der Umsaetze.

### UmsatzCamt

public static final BPDUtil.Query UmsatzCamt
Query fuer Abruf der Umsaetze im CAMT-Format.

## Method Details

### values

public static BPDUtil.Query[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BPDUtil.Query valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null